## Tcl8.6.2/Tk8.6.2 Documentation > [incr Tcl] Package C API, version 4.0.1 > Class

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

### NAME

Itcl_CreateClass, Itcl_DeleteClass, Itcl_FindClass, Itcl_IsClass, Itcl_IsClassNamespace — Manipulate classes.

### SYNOPSIS

#include <itclInt.h>
int
Itcl_CreateClass(interp, path, info, rPtr)
int
Itcl_DeleteClass(interp, cdefnPtr)
ItclClass *
Itcl_FindClass(interp, path, autoload)
int
Itcl_IsClass(cmd)
int
Itcl_IsClassNamespace(namesp)

### ARGUMENTS

Tcl_Interp *interp (in)
  Interpreter to modify.

CONST char *path (in)
  Path of the class.

ItclObjectInfo *info (in)
  TODO.

ItclClass **rPtr (in/out)
  The address of the pointer to modify.

ItclClass *cdefnPtr (in)
  Pointer to class info struct.

int autoload (in)
  Flag value for if the class should be autoloaded

Tcl_Command cmd (in)
  Command to check.

Tcl_Namespace *namesp (in)
  Namespace to check.

### DESCRIPTION

### KEYWORDS

class, find
Copyright © 1993-1998 Lucent Technologies, Inc.